link: search/albums/%22NBA%20Showdown%20%2794%22
meta: {}
query: '"NBA Showdown ''94"'
results:
  albums: []
  artists: []
  orgs: []
  products: []
sections:
- albums
- artists
- orgs
- products
vgmdb_link: https://vgmdb.net/search?q=%22NBA%20Showdown%20%2794%22
